%global commit0 a0a1e6bd87d3eac68b5369972d1c2035cfe47e94
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           quasselc
Version:        0
Release:        7.20170111git%{shortcommit0}%{?dist}
Summary:        API to access a Quassel Core in pure C

License:        LGPLv3
URL:            https://github.com/phhusson/QuasselC/

Source0:        https://github.com/phhusson/QuasselC/archive/%{commit0}.tar.gz#/QuasselC-%{shortcommit0}.tar.gz

BuildRequires:  gcc
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  zlib-devel

%description
An implementation of the Quassel protocol in pure C.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n QuasselC-%{commit0}

# Respect cflags and ldlibs.
sed 's/CFLAGS:=/CFLAGS+=/' -i Makefile
sed 's/LDLIBS:=/LDLIBS+=/' -i Makefile

%build
prefix=%{_prefix} libdir=%{_libdir} LDLIBS="%{__global_ldflags}" CFLAGS="%{optflags}" %make_build

%install
prefix=%{_prefix} libdir=%{_libdir} %make_install
# The makefile doesn't automatically do this.
ln -s %{_libdir}/libquasselc.so.0 %{buildroot}%{_libdir}/libquasselc.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING.LESSER
%doc README
%{_libdir}/libquasselc.so.0

%files devel
%{_libdir}/pkgconfig/quasselc.pc
%{_includedir}/quasselc
%{_libdir}/libquasselc.so


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-7.20170111gita0a1e6b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-6.20170111gita0a1e6b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-5.20170111gita0a1e6b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-4.20170111gita0a1e6b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-3.20170111gita0a1e6b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 20 2017 Ben Rosser <rosser.bjr@gmail.com> - 0.2.20170111gita0a1e6b
- Update to latest upstream commit.

* Sat Sep 10 2016 Ben Rosser <rosser.bjr@gmail.com> - 0-1.20160909gitfcd9669
- Initial package.
